import java.awt.*;

import javax.swing.*;
import javax.swing.border.*;

public class PanelOperationSelect extends JPanel {

	private static final long serialVersionUID = 3468266651092593328L;

	private JPanel contentPanel;
    private JPanel titlePanel;
    private static JRadioButton rbtnProtect;
    private JRadioButton rbtnProcess;    
    private JLabel textLabel;
    private final ButtonGroup buttonGroup = new ButtonGroup();
    
    public static boolean isProtect(){
    	return rbtnProtect.isSelected();
    }
    
	public PanelOperationSelect() {
		super();
		
		contentPanel = getContentPanel();
		contentPanel.setBorder(new EmptyBorder(new Insets(10, 10, 10, 10)));

		setLayout(new BorderLayout());

		JPanel secondaryPanel = new JPanel();
		secondaryPanel.setLayout(null);
		secondaryPanel.add(contentPanel);
		add(secondaryPanel, BorderLayout.CENTER);
		
        textLabel = new JLabel("<html>Preparatory stage<br>Choose desired operation</html>");
        textLabel.setBackground(Color.gray);
        textLabel.setBorder(new EmptyBorder(new Insets(10, 10, 10, 10)));
        textLabel.setOpaque(true);
        
        titlePanel = new JPanel();
        titlePanel.setLayout(new BorderLayout());
        titlePanel.setBackground(Color.gray);
        titlePanel.add(textLabel, BorderLayout.CENTER);
        add(titlePanel, BorderLayout.NORTH);
	}

	private JPanel getContentPanel() {
		JPanel pnlPrepareStage = new JPanel(); 
		pnlPrepareStage.setBounds(0, 0, 450, 252);
		pnlPrepareStage.setBorder(new EmptyBorder(5, 5, 5, 5));
		pnlPrepareStage.setLayout(null);
		{
			JLabel lbWant = new JLabel("I want to...");
			lbWant.setBounds(40, 51, 137, 14);
			pnlPrepareStage.add(lbWant);
		}
		rbtnProtect = new JRadioButton("Protect the existing file using OpenPGP functionality");
		buttonGroup.add(rbtnProtect);
		rbtnProtect.setBounds(72, 72, 408, 23);
		pnlPrepareStage.add(rbtnProtect);
		rbtnProtect.setSelected(true);
		rbtnProcess = new JRadioButton("Process the OpenPGP protected file");
		buttonGroup.add(rbtnProcess);
		rbtnProcess.setBounds(72, 98, 248, 23);
		pnlPrepareStage.add(rbtnProcess);
		return pnlPrepareStage;
	}
}
