import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class PanelProtectionDescriptor extends WizardPanelDescriptor implements ActionListener   {

    public static final String IDENTIFIER = "PROTECT_PANEL";
    public static final PanelProtection panel = new PanelProtection();
    
    public PanelProtectionDescriptor() {
    	panel.addFieldsListener(this);

        setPanelDescriptorIdentifier(IDENTIFIER);
        setPanelComponent(panel);
    }
    
    public Object getNextPanelDescriptor() {  
    	return PanelSelectRecipientsDescriptor.IDENTIFIER;
    }
    
    public Object getBackPanelDescriptor() {
        return PanelSelectSourceDescriptor.IDENTIFIER;
    }

    public void aboutToDisplayPanel(){
    	setNextButtonAccordFields();
    }
   
	private void setNextButtonAccordFields() {
		getWizard().setNextFinishButtonEnabled(panel.isFieldsValidated());
		
	}

	public void actionPerformed(ActionEvent e) {
    	setNextButtonAccordFields();
    }

	public static boolean isSelectSignKeysToo() {
		return panel.signSrc.isSelected();
	}
}
