package com.eldos;

import java.util.HashMap;
import java.util.Map;

public class Cache {

    private static final Cache singleton = new Cache();
    private Map<String, byte[]> cache = new HashMap<String, byte[]>();

    private Cache() {}

    public static Cache getInstance() {
        return singleton;
    }

    public void put(String id, byte[] data) {
        cache.put(id, data);
    }

    public byte[] get(String id) {
        return cache.get(id);
    }
}
